GCLOUD_COMPUTE_INSTANCE-GROUPS_MANAGED_SET-AUTOSCALING(1)

NAME

gcloud compute instance-groups managed set-autoscaling - set autoscaling parameters of a managed instance group

SYNOPSIS

gcloud compute instance-groups managed set-autoscaling NAME --max-num-replicas=MAX_NUM_REPLICAS [--cool-down-period=COOL_DOWN_PERIOD] [--custom-metric-utilization=[metric=METRIC],[utilization-target=UTILIZATION-TARGET],[utilization-target-type=UTILIZATION-TARGET-TYPE]] [--description=DESCRIPTION] [--min-num-replicas=MIN_NUM_REPLICAS] [--scale-based-on-cpu] [--scale-based-on-load-balancing] [--target-cpu-utilization=TARGET_CPU_UTILIZATION] [--target-load-balancing-utilization=TARGET_LOAD_BALANCING_UTILIZATION] [--region=REGION | --zone=ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instance-groups managed set-autoscaling sets autoscaling parameters of specified managed instance group. Autoscalers can use one or more policies listed below. Information on using multiple policies can be found here: https://cloud.google.com/compute/docs/autoscaler/multiple-policies

POSITIONAL ARGUMENTS

    NAME
        The name of the managed instance group.

REQUIRED FLAGS

    --max-num-replicas=MAX_NUM_REPLICAS
        Maximum number of replicas Autoscaler will set.

OPTIONAL FLAGS

    --cool-down-period=COOL_DOWN_PERIOD
        Number of seconds Autoscaler will wait between resizing collection. Note: The Autoscaler waits 10 minutes before scaling down, the value entered here is in addition to the initial 10 minute period.

    --custom-metric-utilization=[metric=METRIC],[utilization-target=UTILIZATION-TARGET],[utilization-target-type=UTILIZATION-TARGET-TYPE]
        Adds a target metric value for the to the Autoscaler.

        metric
            Protocol-free URL of a Google Cloud Monitoring metric.

        utilization-target
            Value of the metric Autoscaler will aim to maintain (greater than 0.0).

        utilization-target-type
            How target is expressed. Valid values: DELTA_PER_MINUTE, DELTA_PER_SECOND, GAUGE.

    --description=DESCRIPTION
        Notes about Autoscaler.

    --min-num-replicas=MIN_NUM_REPLICAS
        Minimum number of replicas Autoscaler will set.

    --scale-based-on-cpu
        Autoscaler will be based on CPU utilization.

    --scale-based-on-load-balancing
        Use autoscaling based on load balancing utilization.

    --target-cpu-utilization=TARGET_CPU_UTILIZATION
        Autoscaler will aim to maintain CPU utilization at target level (0.0 to 1.0).

    --target-load-balancing-utilization=TARGET_LOAD_BALANCING_UTILIZATION
        Autoscaler will aim to maintain the load balancing utilization level (greater than 0.0).

At most one of these may be specified:

    --region=REGION
        The region of the managed instance group to operate on. If not specified, you will be prompted to select a region. A list of regions can be fetched by running:
        $ gcloud compute regions list
    Overrides the default compute/region property value for this command invocation.

    --zone=ZONE
        The zone of the managed instance group to operate on. If not specified, you will be prompted to select a zone. A list of zones can be fetched by running:
        $ gcloud compute zones list
    Overrides the default compute/zone property value for this command invocation.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.